/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
* This enum represents Code Value for Planar ROI Measurements
*/
public enum EnumCV_PlanarROIMeasurements {

	MEASUREMENT_GROUP_125007("125007"),
	TRACKING_IDENTIFIER_122039 ("122039"),
	TRACKING__UNIQUE_IDENTIFIER_112040("112040"),
	IMAGE_REGION_111030("111030"),
	REFERENCED_SEGMENTATION_FRAME_121214 ("121214"),
	SOURCE_IMAGE_FOR_SEGMENTATION_121233("121233"),
	ILLUSTRATION_OF_ROI_121200("121200"),
	REAL_WORLD_VALUE_MAP_USED_FOR_MEASUREMENT_126100("126100")
	;
	private String value;

	EnumCV_PlanarROIMeasurements(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
